signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends | List of all members
SignonUiAdaptor Class Reference

`#include <signonui_interface.h>`

Inheritance diagram for SignonUiAdaptor:
[legend]
Collaboration diagram for SignonUiAdaptor:
[legend]

## Public Slots
QDBusPendingCall | queryDialog (const QVariantMap &parameters)
QDBusPendingCall | refreshDialog (const QVariantMap &parameters)
void | cancelUiRequest (const QString &requestId)
QDBusPendingCall | removeIdentityData (quint32 id)

## Public Member Functions
| SignonUiAdaptor (const QString &service, const QString &path, const QDBusConnection &connection, QObject *parent=0)
| ~SignonUiAdaptor ()

## Static Public Member Functions
static const char * | staticInterfaceName ()

## Protected Member Functions
QDBusPendingCall | callWithArgumentListAndBigTimeout (const QString &method, const QList< QVariant > &args=QList< QVariant >())

## Friends
class | SignonSecureStorageUiAdaptor

## Detailed Description

Definition at line 41 of file signonui_interface.h.

## Constructor & Destructor Documentation

SignonUiAdaptor::SignonUiAdaptor | ( | const QString & | service,
|  | const QString & | path,
|  | const QDBusConnection & | connection,
|  | QObject * | parent = `0`
| ) |  |

Definition at line 32 of file signonui_interface.cpp.

SignonUiAdaptor::~SignonUiAdaptor | ( |  | ) |

Definition at line 41 of file signonui_interface.cpp.

## Member Function Documentation

QDBusPendingCall SignonUiAdaptor::callWithArgumentListAndBigTimeout | ( | const QString & | method,
|  | const QList< QVariant > & | args = `QList<QVariant>()`
| ) |  |
| protected

Definition at line 93 of file signonui_interface.cpp.

Referenced by queryDialog(), and refreshDialog().

void SignonUiAdaptor::cancelUiRequest | ( | const QString & | requestId | ) |
| slot

Definition at line 73 of file signonui_interface.cpp.

Referenced by SignonDaemonNS::SignonSessionCore::cancel().

QDBusPendingCall SignonUiAdaptor::queryDialog | ( | const QVariantMap & | parameters | ) |
| slot

Definition at line 49 of file signonui_interface.cpp.

References callWithArgumentListAndBigTimeout().

Referenced by SignonDaemonNS::SignonIdentity::requestCredentialsUpdate().

QDBusPendingCall SignonUiAdaptor::refreshDialog | ( | const QVariantMap & | parameters | ) |
| slot

Definition at line 61 of file signonui_interface.cpp.

References callWithArgumentListAndBigTimeout().

QDBusPendingCall SignonUiAdaptor::removeIdentityData | ( | quint32 | id | ) |
| slot

Definition at line 84 of file signonui_interface.cpp.

Referenced by SignonDaemonNS::SignonIdentity::remove(), and SignonDaemonNS::SignonIdentity::signOut().

static const char* SignonUiAdaptor::staticInterfaceName | ( |  | ) |
| inline static

Definition at line 48 of file signonui_interface.h.

## Friends And Related Function Documentation

friend class SignonSecureStorageUiAdaptor
| friend

Definition at line 45 of file signonui_interface.h.

The documentation for this class was generated from the following files:

- src/signond/signonui_interface.h
- src/signond/signonui_interface.cpp